/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.archive.common.binaryfile;

import java.util.List;
import java.util.UUID;

import de.ozgcloud.archive.file.GrpcOzgFileTestFactory;
import de.ozgcloud.vorgang.grpc.binaryFile.GrpcFindFilesResponse;
import de.ozgcloud.vorgang.grpc.binaryFile.GrpcFindFilesResponse.Builder;
import de.ozgcloud.vorgang.grpc.file.GrpcOzgFile;

public class GrpcFindFilesResponseTestFactory {

	public static final GrpcOzgFile OZG_FILE_1 = GrpcOzgFileTestFactory.create();
	public static final GrpcOzgFile OZG_FILE_2 = GrpcOzgFileTestFactory.createBuilder()
			.setId(UUID.randomUUID().toString())
			.build();
	public static final List<GrpcOzgFile> OZG_FILES = List.of(OZG_FILE_1, OZG_FILE_2);

	public static GrpcFindFilesResponse create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcFindFilesResponse.newBuilder().addAllFile(OZG_FILES);
	}

}