package de.ozgcloud.archive.common.command;

import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.grpc.command.GrpcCommand;

public class GrpcCommandTestFactory {

	public static final GrpcObject BODY_OBJECT = GrpcObject.newBuilder()
			.addProperty(GrpcProperty.newBuilder()
					.setName(CommandTestFactory.BODY_FIELD_NAME).addValue(CommandTestFactory.BODY_FIELD_VALUE))
			.build();

	public static GrpcCommand create() {
		return createBuilder().build();
	}

	public static GrpcCommand.Builder createBuilder() {
		return GrpcCommand.newBuilder()
				.setId(CommandTestFactory.ID.toString())
				.setVorgangId(CommandTestFactory.VORGANG_ID)
				.setCreatedAt(CommandTestFactory.CREATED_AT_STR)
				.setFinishedAt(CommandTestFactory.FINISHED_AT_STR)
				.setCreatedBy(CommandTestFactory.CREATED_BY)
				.setCreatedByName(CommandTestFactory.CREATED_BY_NAME)
				.setStatus(CommandTestFactory.STATUS.toString())
				.setErrorMessage(CommandTestFactory.ERROR_MESSAGE)
				.setRelationId(CommandTestFactory.RELATION_ID)
				.setBodyObj(BODY_OBJECT)
				.setOrderString(CommandTestFactory.ORDER)
				.setCreatedResource(CommandTestFactory.CREATED_RESOURCE);
	}
}
