/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.archive.vorgang;

import java.util.Map;

import com.thedeanda.lorem.LoremIpsum;

public class AntragstellerTestFactory {

	public static final String ANREDE = LoremIpsum.getInstance().getTitle(1);
	public static final String NACHNAME = LoremIpsum.getInstance().getLastName();
	public static final String VORNAME = LoremIpsum.getInstance().getFirstName();
	public static final String GEBURTSDATUM_STR = "21.03.1995";
	public static final String PLZ = LoremIpsum.getInstance().getZipCode();

	public static final String OTHER_DATA_KEY = LoremIpsum.getInstance().getWords(1);
	public static final String OTHER_DATA_VALUE = LoremIpsum.getInstance().getWords(1);

	public static final Map<String, Object> OTHER_DATA = Map.of(OTHER_DATA_KEY, OTHER_DATA_VALUE);

	public static Antragsteller create() {
		return createBuilder().build();
	}

	public static Antragsteller.AntragstellerBuilder createBuilder() {
		return Antragsteller.builder()
				.anrede(ANREDE)
				.vorname(VORNAME)
				.nachname(NACHNAME)
				.geburtsdatum(GEBURTSDATUM_STR)
				.plz(PLZ)
				.otherData(OTHER_DATA);
	}
}
